<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/29/2011 *
 * ===================                          Last change: 07/29/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_nickname.php                           *
 * -------------------------------------------------------------------- *
 * Short description : List per-user nickname history                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Nickname-Historie per Mitglied auflisten         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Display only title when no form was submitted
addYouAreHereLink('admin', __FILE__);

// Check if 'userid' is set
if (isGetRequestElementSet('userid')) {
	// Delete entries?
	if (isFormSent('do_delete')) {
		// Remove entries from database
		doGenericXmlTemplateCallback('admin_delete_do_nickname_history');
	} // END - if

	// List all entries per user
	doGenericXmlTemplateCallback('admin_list_nickname_history', array(
		'userid' => bigintval(getRequestElement('userid'))
	));
} else {
	// Output selection form with all confirmed user accounts listed
	addMemberSelectionBox();
}

// [EOF]
?>
